View Issue Details

IDProjectCategoryView StatusLast Update
0030587LazarusDatabase Componentspublic2018-08-28 11:40
ReporterMichal Gawrycki Assigned ToLuiz Americo  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.7 (SVN) 
Summary0030587: TDBComboBox – field data is not updated if combo is not focused but element is changed by mouse wheel
DescriptionField data assiegned to DBComboBox is not refreshed if control has no focus and item is changed by mouse wheel.
Steps To ReproduceRun attached project.
Make sure that combo is not focused.
Move mouse cursor on combo and scroll it by mouse wheel.
TagsNo tags attached.
Fixed in Revision53005
LazTarget-
Widgetset
Attached Files

Relationships

related to 0032463 closedwp Regression - TDBLookupComboBox raise exception 
related to 0033160 closedwp Selected item in TDBComboBox when TDataSet are browse 
related to 0033164 resolvedJesus Reyes Start editing in DataSet through DBComboBox, application closes automatically 

Activities

Michal Gawrycki

2016-09-09 19:59

reporter  

testdbcombo.zip (2,535 bytes)

Michal Gawrycki

2016-09-09 20:01

reporter   ~0094520

Posible patch attached.

Michal Gawrycki

2016-09-09 20:01

reporter  

dbcombobox.inc.diff (357 bytes)   
Index: lcl/include/dbcombobox.inc
===================================================================
--- lcl/include/dbcombobox.inc	(revision 52903)
+++ lcl/include/dbcombobox.inc	(working copy)
@@ -65,6 +65,7 @@
     if FDataLink.Edit then
     begin
        FDataLink.Modified;
+       UpdateData(Self);
        inherited Select;
     end
     else
dbcombobox.inc.diff (357 bytes)   

Michal Gawrycki

2016-12-12 20:08

reporter   ~0096723

Thanks!

Issue History

Date Modified Username Field Change
2016-09-09 19:59 Michal Gawrycki New Issue
2016-09-09 19:59 Michal Gawrycki File Added: testdbcombo.zip
2016-09-09 20:01 Michal Gawrycki Note Added: 0094520
2016-09-09 20:01 Michal Gawrycki File Added: dbcombobox.inc.diff
2016-09-21 02:45 Luiz Americo Fixed in Revision => 53005
2016-09-21 02:45 Luiz Americo LazTarget => -
2016-09-21 02:45 Luiz Americo Status new => resolved
2016-09-21 02:45 Luiz Americo Resolution open => fixed
2016-09-21 02:45 Luiz Americo Assigned To => Luiz Americo
2016-12-12 20:08 Michal Gawrycki Note Added: 0096723
2016-12-12 20:08 Michal Gawrycki Status resolved => closed
2017-12-29 23:51 wp Relationship added related to 0032463
2018-02-12 18:00 wp Relationship added related to 0033160
2018-08-28 11:40 wp Relationship added related to 0033164